/* AddIn INI-key installation script, by Michael L. Semon (mlsemon@gate.net) June 19, 1998 */
/* This script adds INI entries for Mesa 2 AddIns. */
rc = RxFuncAdd("SysIni","RexxUtil","SysIni")
rc = RxFuncAdd("SysGetKey","RexxUtil","SysGetKey")

PARSE UPPER ARG Candidate

IF ARG() = 0 THEN
    DO
       SAY ""
       SAY "Usage: add <name_of_AddIn_dll>"
       EXIT
    END

Candidate = STRIP(Candidate, "B")

/* strip ".DLL" from the end of the name if it exists */
IF RIGHT(Candidate,4) = ".DLL" then
    Candidate = LEFT(Candidate,LENGTH(Candidate)-4)

SAY ""
TestedKey = ""
ExitCond = 0
a = 0

DO WHILE ExitCond = 0
    /* find the next key and query it */
    a = a + 1
    presentAddInKey = "AddIn " || a
    TestedKey = TRANSLATE(SysIni("mesa2.ini","Mesa2",presentAddInKey))

    /* check to see if AddIn is already registered */
    IF TestedKey = Candidate THEN
        DO
            SAY Candidate || " is registered at " || presentAddInKey || "."
            SAY "Feel free to copy " || Candidate || ".DLL to a place where Mesa 2 can find it."
            ExitCond = 1
        END

    /* report the next available AddIn; give the option to register it */
    IF TestedKey = "ERROR:" THEN
        DO
            SAY "The next available addin is " || presentAddInKey || "."
            SAY "Would you like to register " || Candidate || ".DLL as " || presentAddInKey || "? (y|n)"
            Answer = SysGetKey()
            SAY ""
            IF TRANSLATE(Answer) = "Y" THEN
                DO
                    rc = SysIni("mesa2.ini","Mesa2",presentAddInKey,Candidate)
                    IF rc = "" THEN
                        DO
                            SAY "Your AddIn DLL has been registered."
                            SAY "Feel free to copy " || Candidate || ".DLL to a place where Mesa 2 can find it."
                        END
                    ELSE
                        SAY "There was an error.  Your AddIn DLL was not registered."
                END
            ELSE
                DO
                    SAY ""
                    SAY Candidate || ".DLL was not registered."
                END
                
            ExitCond = 1
        END
END /* do */