#ifndef __DATA_LOOKUP__
#define __DATA_LOOKUP__

#include <string.h>

#include "model.h"
#include "extaddin.h"
#include "range.h"

class DataFilter
{
public:
    DataFilter(Model *m, HWND h)
    {
        model = m;
        hwnd = h;
        doStop = 0;
    };
    ~DataFilter()
    {
    };

    void setTable(const Range &r)
    {
        table = r;
    }
    void setCriteria(const Range &r)
    {
        criteria = r;
    }
    void setOutput(const Range &r)
    {
        output = r;
    }

    void stop() {
        doStop = 1;
    }
    int doFilter();
    int meetsCriteria(MesaAddInValue *criteria, MesaAddInValue *value);
    
    int doFilter2();

    HWND getHWND() {
        return hwnd;
    }
private:
    int doStop;
    HWND hwnd;
    Model *model;
    Range table;
    Range criteria;
    Range output;
};


MRESULT EXPENTRY DataDlgProc(HWND hwnd,ULONG msg,MPARAM mp1,MPARAM mp2);





#endif


